package Ariketa_5_2;

public class Lapiko {

	private int kop;
	private int puskak;
	private int puskakBota;
	private Pantaila pantaila;

	Lapiko(int pu, int pb, Pantaila pant) {
		puskak=pu; 
		puskakBota=pb;
		pantaila=pant; 
		kop=0;
	}
	//(when(kop<=Puskatak-PuskaBota) 		s.bete		->LAPIKO[kop+PuskaBota]
	synchronized void bete() throws InterruptedException {
		while (!(kop<=puskak-puskakBota)) wait();
		kop=kop+puskakBota;
		pantaila.sartu(kop);
		notify();
	}
	//|when(kop>0)						b[RB].hartu	->LAPIKO[kop-1]
	synchronized void hartu(int id, int BasatiKop) throws InterruptedException {
		while (!(kop>0)) wait();
		--kop;
		pantaila.irten(kop, id, BasatiKop);
		notify();
	}
}
