package Ariketa_5_3;

public class Pantaila {
	private int plazak;
	public Pantaila(int p) {
		plazak=p;
	}
	
	synchronized public void hasiera(int BasatiKop) {
		System.out.print("S\t");
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("B[" + (i + 1) + "]\t");
		}
		System.out.println("Lapikoa");
		for (int i = 0; i < BasatiKop + 2; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int k, int BasatiKop, int kop) {
		//int kop=k;
		idatzi ("bota."+k, 0, BasatiKop);
		margotuKotxeak(kop);
	}
	
	synchronized public void irten(int k, int id, int BasatiKop, int kop) {
		//int kop=k;
		idatzi ("hartu."+k, id, BasatiKop);
		margotuKotxeak(kop);
	}
	
	synchronized public void lo(int id, int BasatiKop) {
		idatzi ("lo", id, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void askatu(int id, int BasatiKop) {
		idatzi ("askatu", id, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void begiratu(int id, int BasatiKop, int k) {
		idatzi ("begiratu["+k+"]", id, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void jan(int id, int BasatiKop) {
		idatzi ("jan", id, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 1; i <= id; i++) {
			System.out.print("\t");
		}
		System.out.print(s);
		for (int i = 0; i < BasatiKop+1-id; i++) {
			System.out.print("\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k) {
		System.out.print("[");
		for (int i=0; i<k;      ++i) { System.out.print("*"); }
		for (int i=k; i<plazak; ++i) { System.out.print(" "); }
		System.out.println("]");
	}
}
