package Ariketa_5_4;


public class Pantaila {
	private int plazak;
	public Pantaila(int p) {
		plazak=p;
	}
	
	synchronized public void hasiera(int BasatiKop) {
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("P[" + (i + 1) + "]\t\t");
		}
		System.out.println("\tBotea");
		for (int i = 0; i < BasatiKop + 1; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int kop, int BasatiKop, int id, int k) {
		//int kop=k;
		idatzi ("bota["+k+"]  ", id, BasatiKop);
		margotuKotxeak(kop);
		System.out.println("");
	}
	
	synchronized public void irten(int kop, int id, int BasatiKop, int k) {
		//int kop=k;
		idatzi ("hartu["+k+"]", id, BasatiKop);
		margotuKotxeak(kop);
		System.out.println("");
	}
	
	synchronized public void askatu(String s, int id, int BasatiKop) {
		idatzi (s, id, BasatiKop);
		//margotuKotxeak(kop);
		System.out.println("");
	}
	
	synchronized public void begiratu(int id, int BasatiKop, int k) {
		int kop=k;
		idatzi ("begiratu["+k+"]", id, BasatiKop);
		margotuKotxeak(kop);
		System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 1; i <= id; i++) {
			System.out.print("\t\t");
		}
		System.out.print(s);
		for (int i = 0; i < BasatiKop-id; i++) {
			System.out.print("\t\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k) {
		System.out.print("[");
		for (int i=0; i<k;      ++i) { System.out.print("*"); }
		for (int i=k; i<plazak; ++i) { System.out.print(" "); }
		System.out.println("]");
	}
}
