package Ariketa_5_3;

public class Lapiko {

	private int kop;
	private int puskak;
	private Pantaila pantaila;
	private Boolean flag;

	Lapiko(int pu, Pantaila pant) {
		puskak=pu; 
		pantaila=pant; 
		kop=0;
		this.flag=true;
	}

	
	synchronized int begiratu(int id, int BasatiKop) throws InterruptedException {
		//when (blok==L)        			{s,b[BR]}.begiratu[i]	-> LAPIKOA[i][O]
		while (!(flag==true)) wait();
		flag =	false;
		pantaila.begiratu(id, BasatiKop, kop);
		return kop;
	}
	
	synchronized void askatu(int id, int BasatiKop) throws InterruptedException {
		//									{s,b[BR]}.askatu[i]		-> LAPIKOA[i][L] 
		flag = true;
		pantaila.askatu(id, BasatiKop);
		notify();
	}
	
	synchronized void bete(int BasatiKop, int k) throws InterruptedException {
		//when (i<PK)						s.bota[b:1..PK-i]		-> LAPIKOA[i+b][L]
		while (!(kop<puskak)) wait();
		kop=kop+k;
		pantaila.sartu(k, BasatiKop, kop);
		flag=true;
		notify();
	}

	synchronized void hartu(int id, int BasatiKop, int k) throws InterruptedException {
		//when (i>0)  						b[BR].hartu[h:1..i]		-> LAPIKOA[i-h][L]
		while (!(kop>0)) wait();
		kop=kop-k;
		pantaila.irten(k, id, BasatiKop, kop);
		flag=true;
		notify();
	}
}
