package Ariketa_5_4;

public class Botea {
	private int kop;
	private int plazak;
	private Boolean flag;
	private Pantaila pantaila;

	Botea(int pl, Pantaila pant) {
		plazak = pl;
		pantaila = pant;
		kop = plazak;
		flag = true;
	}

	synchronized int begiratu(int ikasleKop, int id) throws InterruptedException {
	//when (blok==L)        			p[BR].begiratu[i]			-> BOTEA[i][O]
		while (!(flag == true))
			wait();
		flag = false;
		pantaila.begiratu(id, ikasleKop, kop);
		return kop;
	}

	synchronized void hartu(int id, int ikasleKop, int k) throws InterruptedException {
          //when (i>0)  						p[BR].hartu[h:1..i]			-> BOTEA[i-h][L]
		while (!(kop>0)) wait();
		kop=kop-k;
		pantaila.irten(kop, id, ikasleKop, k);
		//flag=true;
		notify();
	}

	synchronized void bete(int id, int ikasleKop, int k) throws InterruptedException {
		//when (i<PK)							p[BR].bota[b:1..PK-i]		-> BOTEA[i+b][L]
		while(!(kop<plazak)) wait();
		kop=kop+k;
		pantaila.sartu(kop, ikasleKop, id, k); 
		//flag=true;
		notify();
	}

	synchronized void askatu(int id, int ikasleKop) throws InterruptedException {
		// 									b[BR].askatu[i]				-> BOTEA[i][L] 
		flag=true;
		pantaila.askatu("Askatu",id, ikasleKop);
		notify();
	}
}
